// $LastChangedDate: 2009-05-15 14:25:58 -0500 (Fri, 15 May 2009) $
// Vertex shader (aircraft, a=color.a).

@include inc_aircraft_frag.glsl

/*****************************************************************************
 * Fragment shader.
 *****************************************************************************/
void main( void )
{
    if ( uni_glass )
    {
        gl_FragColor.rgb = vec3( 0.4, 0.4, 0.4 ) * var_lightIntensity;
        gl_FragColor.a   = 0.6;
    }
    else
    {
    	gl_FragColor = texture2D( uni_texture_0, gl_TexCoord[0].st );
        gl_FragColor *= gl_Color;
        gl_FragColor.rgb *= var_lightIntensity;
    }

    // Apply shadow.
    @include inc_shadow_frag.glsl

    // Apply brightness.
    @include inc_brightness_frag.glsl

    // To adjust transparency (exhaust flame).
    gl_FragColor.a += uni_alphaBias;
}
