/*****************************************************************************
 * $LastChangedDate: 2009-03-10 21:13:55 -0500 (Tue, 10 Mar 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace graph
 * @brief graph module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GRAPH_MODULE_HH
#define GRAPH_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace graph {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace graph

//------------------------------------------------------------------------------

#include "math/module.hh"
#include "math/matrix.hh"
using namespace math;
#if DEBUG
#include "graph/typesig_defs.hh"
#endif
#include "graph/typedefs.hh"
#include "graph/graph.hh"
#include "graph/scene_graph.hh"

#endif // GRAPH_MODULE_HH
