-- $LastChangedDate: 2009-05-07 14:43:02 -0500 (Thu, 07 May 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Sky",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "shader/module.hh"
#include "shader/shader_settings.hh"
using namespace shader;
#include "sky/module.hh"
using namespace sky;
]],

func_SetLightPosition = {
    comments = "Sky:SetLightPosition( Vec3 )",
    code = [[
		// Historical: Sky used to have the hw light.
		const WorldVertex pos = POP_VECTOR3<WorldVertex>( L );
		GET_SHADER_SETTINGS().SetLightPosition( 0, pos );
    ]]
},

func_SetLightColor = {
    comments = "Sky:SetLightColor( ambient:RGBA, diffuse:RGBA, specular:RGBA )",
    code = [[
		// Historical: Sky used to have the hw light.
		const RGBA specular( POP_RGBA( L ) );
		const RGBA diffuse(  POP_RGBA( L ) );
		const RGBA ambient(  POP_RGBA( L ) );
		GET_SHADER_SETTINGS().SetLightColors( 0, ambient, diffuse, specular );
    ]]
},

}
