/*****************************************************************************
 * $LastChangedDate: 2009-05-11 18:50:07 -0500 (Mon, 11 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace shader
 * @brief shader module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_MODULE_HH
#define SHADER_MODULE_HH 1

#if ! defined(COMPILE_HW_LIGHT) && COMPILE_PALOMINO
#define COMPILE_HW_LIGHT 1
#endif

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace shader {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace shader

//------------------------------------------------------------------------------

//#include "shader/defs.hh"  // speed compiling
#include "shader/shader_name.hh"
//#include "shader/shader_args.hh"
//#include "shader/shader_factory.hh"

#endif // SHADER_MODULE_HH
