/*****************************************************************************
 * $LastChangedDate: 2009-05-11 18:50:07 -0500 (Mon, 11 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Shader functions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_SHADER_FUNCS_HH
#define SHADER_SHADER_FUNCS_HH 1

#include <osg/StateSet>
#include <osg/Program>

namespace shader {

INLINE void
DisableShader( osg::StateSet& stateSet )
{
  //stateSet.removeAttribute( osg::StateAttribute::PROGRAM );  // doesn't work in this case
	stateSet.setAttributeAndModes( new osg::Program, osg::StateAttribute::ON );
}

void
ResetShaderUniformsForModel( osg::Node& node );

void
ResetShaderUniformsForRootNode( osg::Node& node );

} // namespace shader

#endif // SHADER_SHADER_FUNCS_HH
