/*****************************************************************************
 * $LastChangedDate: 2009-03-07 08:58:38 -0600 (Sat, 07 Mar 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace world
 * @brief world module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef WORLD_MODULE_HH
#define WORLD_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace world {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace world

//------------------------------------------------------------------------------

#include "math/module.hh"
using namespace math;
#include "physics/types.hh"  // include types only
using namespace physics;
#include "graph/module.hh"
using namespace graph;
#include "world/types.hh"  // don't include planet.hh (private implementation)
#include "world/defs.hh"
#include "world/conversion.hh"
#include "world/world.hh"
#include "world/globals.hh"

#endif // WORLD_MODULE_HH
